---
title: Map.prototype.get()
slug: Web/JavaScript/Reference/Global_Objects/Map/get
tags:
  - ECMAScript 2015
  - JavaScript
  - Map
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>get()</code></strong> method returns a specified element from a <code>Map</code> object. If the value that is associated to the provided key is an object, then you will get a reference to that object and any change made to that object will effectively modify it inside the <code>Map</code> object.</p>

<div>{{EmbedInteractiveExample("pages/js/map-prototype-get.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>myMap</var>.get(<var>key</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>key</var></code></dt>
 <dd>The key of the element to return from the <code>Map</code> object.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The element associated with the specified key, or {{jsxref("undefined")}} if the key can't be found in the <code>Map</code> object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_get">Using get()</h3>

<pre class="brush: js notranslate">let myMap = new Map();
myMap.set('bar', 'foo');

myMap.get('bar');   // Returns "foo"
myMap.get('baz');   // Returns undefined
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-map.prototype.get', 'Map.prototype.get')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Map.get")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Map")}}</li>
 <li>{{jsxref("Map.prototype.set()")}}</li>
 <li>{{jsxref("Map.prototype.has()")}}</li>
</ul>
